package com.futu.goose.orders.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.goose.orders.pojo.TProduct;
import com.futu.goose.orders.service.TProductService;
import com.futu.goose.orders.mapper.TProductMapper;
import com.futu.goose.utils.Result;
import com.futu.goose.utils.SnowflakeIdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* @author 张大宇
* @description 针对表【t_product(商品表)】的数据库操作Service实现
* @createDate 2025-05-13 16:26:58
*/
@Service
public class TProductServiceImpl extends ServiceImpl<TProductMapper, TProduct>
    implements TProductService{
    @Autowired
    private TProductMapper tProductMapper;
    @Override
    public Result addProduct(TProduct product) {
        product.setId(SnowflakeIdGenerator.getSnowId());
        tProductMapper.insert(product);
        return new Result(true,"添加成功");
    }
}




